.dashboard-menu {
  .main-loading {
    .loader-new {
      left: 300px;
    }
  }
}
.aims-side-window {
  height: 100vh;
  display: flex;
}
.sticky-layout {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  min-height: 400px;
  padding: 0px;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-flex: 0px;
  -webkit-flex: 0px;
  -ms-flex: 0px;
  flex: 0px;
  header {
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-direction: row;
    -webkit-box-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    align-items: center;
    padding: 13px 20px;
    min-height: 62px;
    background-color: #fff;
    border-bottom: solid 1px #f5f5f5;
    flex-shrink: 0;
    // animation: slidedown 0.3s ease-in-out;

    h1 {
      font-size: 21px;
      color: #56647d;
      @include medium-font;
      margin-bottom: 0;
      line-height: 1.2;
      letter-spacing: -0.22px;
    }
    .left-headding {
      flex-direction: column;
      display: flex;
      align-items: baseline;
      .pi-breadcrumb {
        .pi-breadcrumb-item {
          &:focus {
            outline: none;
          }
          .inner-content {
            a {
              cursor: pointer;
              &:focus {
                outline: none;
                span.lbl {
                  &:focus {
                    outline: none;
                  }
                }
              }
            }
          }
        }
      }
      .gride-menu {
        padding-left: 10px;
        a {
          margin-right: 10px;
          color: #56647d;
          font-size: 14px;
          strong {
            @include medium-font;
            padding-left: 2px;
            font-weight: normal;
            color: #53657b;
          }
        }
      }
    }
    .right-headding {
      a {
        cursor: pointer;
        display: flex;
        align-items: center;
        color: #40546c;
        font-size: 14px;
        i {
          font-size: 20px;
        }
      }
    }
  }
  .aims-body {
    margin-top: 0px;
    margin-bottom: 0px;
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
    background-color: #fff;
    min-height: 200px;
    padding: 0;
    overflow: auto;
    // animation: slideofup 0.3s ease-in-out;
  }
  footer {
    height: 52px;
    border-top: solid 1px #dfdfdf;
    padding: 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}

.page-breadcrumb {
  margin: 0;
  border-bottom: 1px solid #dcdde2;
  @include flexbox();
  @include align-items(center);
  padding: 0 16px;
  height: 40px;
  a {
    @include flexbox();
    @include align-items(center);
    color: $primary-link;
    text-decoration: none;
    font-size: 14px;
    line-height: 1.2;
    @include medium-font;
    i {
      font-size: 14px;
      background: $primary-link;
      color: #fff;
      border-radius: 50%;
      margin-right: 6px;
      width: 18px;
      height: 18px;
      @include flexbox();
      @include align-items(center);
      @include justify-content(center);
    }
  }
}
.author-profile {
  border-bottom: 1px solid #dcdde2;
  padding: 10px 10px;
  &.side-menubar-profile {
    padding: 10px 16px;
  }
  .author-pic {
    background: $color-background;
    color: #fff;
  }
}
.pi-master-detail-view > .pi-master-view {
  &.main-side-menu-width {
    width: 240px;
  }
}
.pi-breadcrumb {
  font-size: 14px;
  .seperator {
    margin: 0 8px;
    font-size: 13px;
    position: relative;
    top: -1px;
  }
}
.bottom-cards {
  padding: 18px 0 18px 0;
  & > div {
    padding-left: 0px !important;
  }
  .user-ui {
    margin-bottom: 20px;
  }
}
.edit-product-window {
  margin-bottom: 18px !important;
  .pi-field-group {
    &:first-child {
      margin-top: 0;
    }

    .field-group {
      max-width: inherit;
    }
  }
}

.timeline-item {
  background: #fff;
  border-radius: 3px;
  margin: 0 auto;
  margin: 0 auto;
  @keyframes placeHolderShimmer {
    0% {
      background-position: -468px 0;
    }
    100% {
      background-position: 468px 0;
    }
  }

  .animated-background {
    // animation-duration: 1s;
    //animation-fill-mode: forwards;
    //animation-iteration-count: infinite;
    // animation-name: placeHolderShimmer;
    //animation-timing-function: linear;
    background: #efefef;
    background-size: 800px 104px;
    height: 80px;
    position: relative;
  }
  .background-masker {
    background: #fff;
    position: absolute;
  }

  /* Every thing below this is just positioning */

  .background-masker.header-top,
  .background-masker.header-bottom,
  .background-masker.subheader-bottom {
    top: 0;
    left: 0px;
    right: 0;
    height: 10px;
  }

  .background-masker.header-left,
  .background-masker.subheader-left,
  .background-masker.header-right,
  .background-masker.subheader-right {
    top: 10px;
    left: 40px;
    height: 8px;
    width: 10px;
  }

  .background-masker.header-bottom {
    top: 0;
    height: 3px;
  }

  .background-masker.subheader-left,
  .background-masker.subheader-right {
    top: 24px;
    height: 6px;
  }

  .background-masker.header-right,
  .background-masker.subheader-right {
    width: auto;
    left: 300px;
    right: 0;
  }

  .background-masker.subheader-right {
    left: 230px;
  }

  .background-masker.subheader-bottom {
    top: 20px;
    height: 10px;
  }

  .background-masker.content-top,
  .background-masker.content-second-line,
  .background-masker.content-third-line,
  .background-masker.content-second-end,
  .background-masker.content-third-end,
  .background-masker.content-first-end {
    top: 40px;
    left: 0;
    right: 0;
    height: 6px;
  }

  .background-masker.content-top {
    height: 0px;
  }

  .background-masker.content-first-end,
  .background-masker.content-second-end,
  .background-masker.content-third-end {
    width: auto;
    left: 0;
    right: 0;
    top: 40px;
    height: 10px;
  }

  .background-masker.content-second-line {
    top: 60px;
    height: 10px;
  }

  .background-masker.content-second-end {
    left: 420px;
    top: 70px;
    height: 10px;
  }

  .background-masker.content-third-line {
    top: 82px;
  }

  .background-masker.content-third-end {
    left: 492px;
    top: 76px;
    height: 10px;
  }
}

.fake-list-placeholder {
  ul {
    list-style: none;
    padding: 0;
    margin: 0;
    line-height: 1.2;
    max-width: 600px;
    li {
      height: 30px !important;
      background: #efefef !important;
      background-size: 800px 104px;
      margin-bottom: 10px;
      border-top: solid 1px #efefef !important;
      border-bottom: solid 1px #efefef !important;
      &:hover {
        background: #efefef !important;
      }
    }
  }
}
.import-store {
  &.cdk-overlay-pane {
    position: absolute !important;
    max-width: 100% !important;
    width: auto !important;
    left: 60px;
    right: 0;
    top: 0;
    bottom: 0;
  }
  .mat-dialog-headin {
    // max-width: 1000px;
    // margin: 0 auto;
    // width: 100%;
    margin-bottom: 35px;
  }
  .mat-dialog-container {
    padding: 20px 0;
    border-radius: 0;
    .mat-dialog-heading {
      max-width: 1000px;
      width: 100%;
      display: flex;
      align-items: center;
      margin: 0 auto;
      h2 {
        margin-bottom: 0px;
      }
    }
    .mat-dialog-content {
      margin: 0 !important;
      padding: 20px 0 !important;
    }
    .form-step2 {
      //    border: 1px solid #ccc;
      .store-attributes {
        margin-bottom: 45px;
        border: 1px solid #d1d6de;
        //    border-bottom:none !important;
      }
    }
    .import-fileform {
      margin-bottom: 45px;
      max-width: 1000px;
      margin: 0 auto;
      // width: 82%;
    }
    .example-form {
      .structure-select {
        max-width: 500px;
      }
    }
    .file-dummy {
      height: 200px;
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
    p {
      // font-family: "sf-regular";
      font-size: 16px;
      color: #172b4d;
      letter-spacing: 0;
    }
    .mat-expansion-panel {
      background: #ffffff;
      border: 1px solid #d2d7df;
      margin-bottom: 20px !important;
      box-shadow: none;
    }
    .mat-expansion-panel-content.mat-expanded {
      overflow: auto;
      max-height: 230px;
    }
    .mat-expanded {
      .mat-content {
        &:before {
          -webkit-transform: rotate(180deg);
          -moz-transform: rotate(180deg);
          -ms-transform: rotate(180deg);
          transform: rotate(180deg);
        }
      }
    }
    .mat-content {
      // font-family: "Pixel Icons";
      font-weight: normal;
      font-style: normal;
      line-height: 1;
      letter-spacing: normal;
      text-transform: none;
      white-space: nowrap;
      word-wrap: normal;
      direction: ltr;
      -webkit-font-feature-settings: "liga";
      -webkit-font-smoothing: antialiased;
      color: #172b4d;
      position: relative;
      z-index: 1;
      overflow: visible;
      &:before {
        font-family: "a-list" !important;
        content: "\67";

        position: relative;
        text-transform: none;
        right: 10px;
        top: 3px;
        font-size: 10px;
        color: #42526e;
        font-weight: 600;
        z-index: -1;
        transform: rotate(0deg);
        height: 10px;
        -webkit-transition: 600ms cubic-bezier(0.35, 1, 0.25, 1);
        -moz-transition: 600ms cubic-bezier(0.35, 1, 0.25, 1);
        -ms-transition: 600ms cubic-bezier(0.35, 1, 0.25, 1);
        transition: 600ms cubic-bezier(0.35, 1, 0.25, 1);
      }
    }
    .mat-expansion-panel-header {
      padding: 0px 40px;
      position: relative;

      &.mat-expanded {
        border-bottom: 2px solid #e9ecf1;
      }
      .addedTable,
      .uploadedTable {
        color: #1e8751;
      }
      .ignoredTable {
        color: #e55e35;
      }
      mat-panel-title {
        // font-family: "sf-medium";
        font-size: 16px;
        color: #172b4d;
        letter-spacing: 0;
        text-transform: capitalize;
      }
      .mat-expansion-indicator {
        display: none;
      }
      &:hover {
        background: none !important;
      }
    }
    .mat-expansion-panel-body {
      padding: 0;
      overflow: auto;
      max-height: 208px;
    }

    .upload-table {
      // font-family: "sf-regular";
      color: #172b4d;
      width: calc(100%);
      th {
        min-width: 150px;
        // font-family: "sf-semibold";
        font-size: 14px;
        color: #7f8a9d;
        border-bottom: 1px solid #d2d7df;
        padding: 8px 15px;
        font-weight: inherit;
      }
      td {
        // font-family: "sf-regular";
        font-size: 14px;
        color: #455570;
        border-bottom: 1px solid #d2d7df;
        padding: 8px 15px;
        font-weight: inherit;
      }
    }
    .no-results {
      padding: 20px 0px;
      text-align: center;
    }
  }
}
.import-store .mat-dialog-container app-import-products {
  display: flex;
  flex-direction: column;
  flex: 1;
  width: 100%;
}

.tab-container {
  height: calc(100vh - 95px);
  overflow-y: scroll;
  margin-left: 2px;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  background-color: #fff;
  display: flex;
  &.footer-section {
    height: calc(100vh - 151px);
  }
}
.form-width {
  width: 484px;
}

.test {
  -webkit-animation: slidedown 2s ease-in-out;
  animation: slidedown 2s ease-in-out;
}

@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes slidedown {
  from {
    transform: translateY(-25%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes slideup {
  from {
    transform: translateY(50%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes slideofup {
  from {
    transform: translateY(10%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes slideright {
  from {
    transform: translateX(-50%);
  }
  to {
    transform: translateX(0);
  }
}

@keyframes scaleup {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(1);
  }
}

@keyframes scaleup-circle {
  from {
    transform-origin: top;
    transform: scale(0) translateY(-50%) rotate(0deg);
  }
  to {
    transform-origin: center;
    transform: scale(1) translateY(-50%) rotate(360deg);
  }
}
.detail-accordion {
  padding-bottom: 30px;
  .user-ui {
    .user-ui-avatar-text {
      .hero-text {
        @include regular-font;
      }
    }
  }
  .mat-expansion-panel {
    box-shadow: none;
    border-radius: 0px;
    &.mat-expansion-panel-spacing {
      margin: 0px 0px;
    }
  }
  .mat-expansion-panel-header {
    padding: 0;
    border-bottom: solid 1px #e3e4e5;
    border-radius: 0px;
    // margin-bottom: 10px;
    &.mat-expanded {
      .mat-expansion-indicator {
        &:after {
          position: relative;
          top: 2px;
        }
      }
    }
    .mat-expansion-indicator {
      // padding: 10px;
      // border: solid 1px #e3e4e5;
      // background: #fff;
      border-radius: 50%;
      width: 24px;
      height: 24px;
      text-align: center;
      line-height: 1.2;
      &::after {
        position: relative;
        top: 8px;
      }
    }
    .icon-heading-holder {
      display: flex;
      align-items: center;
      .heading-image {
        display: none;
        height: 25px;
        .icon-products:before {
          padding-top: 0;
          padding-left: 5px;
          line-height: 1.6;
        }
        .icon-stores:before {
          padding-top: 0;
          padding-left: 3px;
          line-height: 1.6;
          font-size: 18px;
          top: -2px;
          position: relative;
        }
      }
      .heading-text {
        padding-left: 0px;
      }
    }
  }
  .mat-expansion-panel-body {
    padding: 0px;
    .accordion-row-item {
      display: flex;
    }
  }
}
.accordion-list {
  padding: 0;
  margin: 0;
  li {
    list-style: none;
    padding: 10px 0px;
    margin: 0;
    .accordion-label {
      // max-width: 366px;
      // width: 100%;
      flex: 0 0 33.33333333%;
      max-width: 400px;

      color: #43576f;
      span {
        padding-left: 14px;
        padding-right: 14px;
        display: inline-block;
        // width: 30%;
        // white-space: nowrap;
        // overflow: hidden;
        // text-overflow: ellipsis;
      }
    }
    .accordion-value {
      color: #16304d;
    }
    &:nth-child(odd) {
      background: #fff;
    }
    &:nth-child(even) {
      background: #f9fafb;
    }
    h6 {
      font-size: 14px;
      @include medium-font;
      padding-left: 34px;
      margin-bottom: 0;
    }
  }
}
.week-report {
  width: 100%;
  border-bottom: 2px solid #e3e4e5;
  table {
    margin-bottom: 0;
    thead {
      th {
        border-top: 0;
        font-size: 14px;
        @include medium-font;
        font-weight: normal;
        &:nth-child(2),
        &:nth-child(4) {
          text-align: right;
          padding-right: 20px;
        }
      }
    }
    tr {
      td {
        @include regular-font;
        font-size: 14px;
        font-weight: normal;
      }
      td {
        font-weight: normal;
        &:nth-child(2),
        &:nth-child(4) {
          text-align: right;
          padding-right: 20px;
        }
        .pi-form-field {
          margin-top: 0;
        }
      }
    }
  }
  th.mat-header-cell:last-of-type {
    padding-right: 0;
    padding-left: 10px;
  }
  .cdk-column-acceptsInsets {
    .mat-checkbox {
      margin: 0 auto;
      text-align: center;
      display: block;
      .mat-checkbox-layout {
        margin-bottom: 0;
      }
    }
  }
}

.edit-full-view {
  &.cdk-overlay-pane {
    position: absolute !important;
    max-width: 100% !important;
    width: auto !important;
    left: 60px;
    right: 0;
    top: 0;
    bottom: 0;
  }
  .mat-dialog-headin {
    // max-width: 1000px;
    // margin: 0 auto;
    // width: 100%;
    margin-bottom: 35px;
  }
  .mat-dialog-container {
    padding: 0px 0;
    border-radius: 0;
    .mat-dialog-heading {
      max-width: 1000px;
      width: 100%;
      display: flex;
      align-items: center;
      margin: 0 auto;
      h2 {
        margin-bottom: 0px;
      }
    }
    .mat-dialog-content {
      margin: 0 !important;
      padding: 20px 0 !important;
    }
  }
  .sticky-layout header h1 {
    padding-left: 26px;
    position: relative;
    a {
      cursor: pointer;
    }
    i {
      position: absolute;
      left: 0;
      font-size: 18px;
      top: 3px;
      transition: left 0.2s ease;
    }
    &:hover {
      i {
        left: -6px;
      }
    }
  }
}
.detail-view-edit {
  max-width: 940px;
  margin: 0 auto;
  width: 100%;
  padding: 16px 20px;
  .secondary-form {
    .pi-field-group {
      &.row {
        margin-right: 0;
        margin-left: 0;
        width: 100%;
      }
      .field-group {
        width: 100%;
        max-width: inherit;
        .pi-form-field {
          display: flex;
          align-items: center;
          justify-content: space-between;
          margin-left: 40px;
          label {
            flex: 1 1 0;
            display: flex;
            margin-bottom: 0;
          }
          .pi-field {
            flex: 1 1 0;
            display: flex;
            height: 38px;
            min-width: 224px;
            flex-direction: column;
          }

          &:first-child {
            margin-left: 0;
            padding-right: 60px;
            margin-top: 4px;
          }
        }
        pi-select {
          &.pi-form-field {
            padding-right: 0px;
            &:first-child {
              padding-right: 0px;
            }
          }
        }
      }
    }

    .add-edit-for-websites {
      .pi-form-field {
        padding-right: 0px !important;
        margin-top: 0px !important;
      }
    }
    .inner-details-holder {
      margin-bottom: 20px;
    }
  }
}

.week-report {
  th.mat-header-cell:first-of-type {
    padding-left: 0px;
  }
  td.mat-cell:first-of-type {
    padding-left: 0px;
  }
  td.mat-cell:last-of-type {
    padding-right: 0px;
  }
}
.pi-form-field {
  &.minimum-field {
    .pi-field {
      display: flex;
      justify-content: flex-end;
      input {
        max-width: 131px;
        text-align: right;
      }
    }
  }
}
.advance-delivery-edit {
  display: flex;
  align-items: center;
  .pi-field {
    display: flex;
    &.minimum-field {
      input {
        max-width: 100px;
      }
    }
    input {
      padding: 4px;
      &[type="number"] {
        width: 40px;
      }
      &[type="time"] {
        width: 90px;
      }
    }
  }
}
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button,
input[type="time"]::-webkit-inner-spin-button,
input[type="time"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.shipping-address {
  width: 100%;
  margin-top: 30px;
  display: flex;
  // max-width: 500px;

  flex-direction: column;
  .shipping-address-label {
    width: 180px;
    .small-heading {
      padding-top: 14px;
    }
  }
  .shipping-address-details {
    width: 100%;
    display: flex;
    border-bottom: solid 1px #e9e9e9;
    margin-bottom: 20px;
    padding-bottom: 24px;
    &:last-of-type {
      border-bottom: none;
      margin-bottom: 16px;
      padding-bottom: 10px;
    }
    .pi-form-field {
      margin-top: 0;
      margin-bottom: 16px;
    }
  }

  .multiple-fields {
    .pi-form-field {
      flex: 1 1 0;
      padding-right: 0px !important;
      margin-left: 0px !important;
      margin-right: 10px;
      margin-bottom: 0;
      &:last-child {
        margin-right: 0px;
      }
    }
  }
}

.shipping-information {
  display: flex;
  width: 100%;
  .remove-address {
    padding-top: 12px;
    padding-left: 14px;
    color: #ff5263;
    span {
      cursor: pointer;
    }
  }
}
.shipping-address-fields {
  max-width: 518px;
  width: 100%;
  .pi-field-group {
    margin-top: 0px;
  }
  .multiple-fields {
    .field-group {
      display: flex;
      .pi-form-field:first-child {
        margin-top: 0px;
      }
    }
    .pi-field {
      min-width: 122px !important;
      max-width: 173px !important;
    }
  }
}
.add-adress-link {
  margin-left: 180px;
  max-width: 154px;
}
.mat-tooltip {
  color: #fff;
  font-size: 12px;
  letter-spacing: 0.02em;
  @include regular-font;
  background: #000;
  white-space: pre-line !important;
  width: auto;
  max-width: 800px !important;
}
.m-l-20 {
  margin-left: 20px;
}
.m-r-20 {
  margin-right: 20px;
}

.m-l-20 {
  &.ak-button {
    margin-left: 20px;
  }
}

.m-r-20 {
  &.ak-button {
    margin-right: 20px;
  }
}

.mini-screen {
  max-width: 940px;
  margin: 0 auto;
  width: 100%;
  padding: 0 20px;
}

.d-down {
  display: flex;
  span {
    align-items: center;
    justify-content: center;
    line-height: 1.2;
    height: 32px;
    display: flex;
    padding: 0 20px;
    i {
      position: relative;
      top: 6px;
      width: 12px;
      margin-left: 6px;
    }
  }
}
.contact-row-details {
  i {
    &.icon-products {
      font-size: 21px;
      margin-right: 4px;
      color: #707c91;
    }
  }
}
